resource "proxmox_virtual_environment_file" "ubuntu_cloud_image" {
  content_type = "iso"
  datastore_id = var.proxmox_image_storage
  node_name    = "pve"

  source_file {
    path = "https://cloud-images.ubuntu.com/noble/20250122/noble-server-cloudimg-amd64.img"

    checksum = "482244b83f49a97ee61fb9b8520d6e8b9c2e3c28648de461ba7e17681ddbd1c9"
  }
}
