variable "proxmox_api_endpoint" {
  type        = string
  description = "Proxmox cluster API endpoint"
}

variable "proxmox_api_token" {
  type        = string
  description = "Proxmox API token bpg proxmox provider with ID and token"
  sensitive   = true
}

variable "gateway" {
  type = string
}

variable "s3_backend_endpoint" {
  type = string
  # example = "http://s3.local"
}

variable "s3_access_key" {
  type = string
}

variable "s3_secret_key" {
  type = string
}

variable "proxmox_image_storage" {
  type = string
  # example = "local-lvm"
}

variable "proxmox_vm_storage" {
  type = string
  # example = "local-lvm"
}

variable "username" {
  type = string
  # example = "tony"
}

variable "ssh_import_id" {
  type = string
  # example = "gh:tonyd33"
}

variable "technitium_tsig_secret" {
  type      = string
  sensitive = true
}

variable "ssh_private_key_file" {
  type = string
  description = "Path to private key file. Make sure this matches the public key defined in the cloud init."
}
